Package picard.illumina.parser.readers

# Enum Class TileMetricsOutReader.TileMetricsVersion

java.lang.Object
java.lang.Enum<TileMetricsOutReader.TileMetricsVersion>
picard.illumina.parser.readers.TileMetricsOutReader.TileMetricsVersion

All Implemented Interfaces:
  `Serializable`, `Comparable<TileMetricsOutReader.TileMetricsVersion>`, `Constable`

Enclosing class:
  TileMetricsOutReader

public static enum TileMetricsOutReader.TileMetricsVersion extends Enum<TileMetricsOutReader.TileMetricsVersion>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`THREE`
`TWO`

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`version`

## Method Summary

Modifier and Type
Method
Description
`static TileMetricsOutReader.TileMetricsVersion`
`findByKey(int i)`
`static TileMetricsOutReader.TileMetricsVersion`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TileMetricsOutReader.TileMetricsVersion[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TWO

public static final TileMetricsOutReader.TileMetricsVersion TWO

### THREE

public static final TileMetricsOutReader.TileMetricsVersion THREE

## Field Details

### version

public final int version

## Method Details

### values

public static TileMetricsOutReader.TileMetricsVersion[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TileMetricsOutReader.TileMetricsVersion valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### findByKey

public static TileMetricsOutReader.TileMetricsVersion findByKey(int i)